Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.csi.mddtools.rdbmdl
Interface RdbmdlPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

    public interface RdbmdlPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `RdbmdlFactory`

Nested Class Summary
`static interface` | `RdbmdlPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static int` | `COLUMN` The meta object id for the '`Column`' class
`static int` | `COLUMN__NAME` The feature id for the 'Name' attribute
`static int` | `COLUMN__PARENT` The feature id for the 'Parent' reference
`static int` | `COLUMN__UID` The feature id for the 'Uid' attribute
`static int` | `COLUMN_FEATURE_COUNT` The number of structural features of the 'Column' class
`static RdbmdlPackage` | `eINSTANCE` The singleton instance of the package
`static int` | `ELEMENT` The meta object id for the '`Element`' class
`static int` | `ELEMENT__PARENT` The feature id for the 'Parent' reference
`static int` | `ELEMENT_FEATURE_COUNT` The number of structural features of the 'Element' class
`static java.lang.String` | `eNAME` The package name
`static java.lang.String` | `eNS_PREFIX` The package namespace name
`static java.lang.String` | `eNS_URI` The package namespace URI
`static int` | `MODEL` The meta object id for the '`Model`' class
`static int` | `MODEL__NAME` The feature id for the 'Name' attribute
`static int` | `MODEL__PARENT` The feature id for the 'Parent' reference
`static int` | `MODEL__SCHEMAS` The feature id for the 'Schemas' containment reference list
`static int` | `MODEL__SERVER_ID` The feature id for the 'Server id' attribute
`static int` | `MODEL__UID` The feature id for the 'Uid' attribute
`static int` | `MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class
`static int` | `NAMED_COLUMN_SET` The meta object id for the '`Named Column Set`' class
`static int` | `NAMED_COLUMN_SET__NAME` The feature id for the 'Name' attribute
`static int` | `NAMED_COLUMN_SET__OWNER` The feature id for the 'Owner' attribute
`static int` | `NAMED_COLUMN_SET__PARENT` The feature id for the 'Parent' reference
`static int` | `NAMED_COLUMN_SET__UID` The feature id for the 'Uid' attribute
`static int` | `NAMED_COLUMN_SET_FEATURE_COUNT` The number of structural features of the 'Named Column Set' class
`static int` | `NAMED_ELEMENT` The meta object id for the '`Named Element`' class
`static int` | `NAMED_ELEMENT__NAME` The feature id for the 'Name' attribute
`static int` | `NAMED_ELEMENT__PARENT` The feature id for the 'Parent' reference
`static int` | `NAMED_ELEMENT__UID` The feature id for the 'Uid' attribute
`static int` | `NAMED_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Named Element' class
`static int` | `SCHEMA` The meta object id for the '`Schema`' class
`static int` | `SCHEMA__ELEMENTS` The feature id for the 'Elements' containment reference list
`static int` | `SCHEMA__NAME` The feature id for the 'Name' attribute
`static int` | `SCHEMA__PARENT` The feature id for the 'Parent' reference
`static int` | `SCHEMA__UID` The feature id for the 'Uid' attribute
`static int` | `SCHEMA_ELEMENT` The meta object id for the '`Schema Element`' class
`static int` | `SCHEMA_ELEMENT__NAME` The feature id for the 'Name' attribute
`static int` | `SCHEMA_ELEMENT__OWNER` The feature id for the 'Owner' attribute
`static int` | `SCHEMA_ELEMENT__PARENT` The feature id for the 'Parent' reference
`static int` | `SCHEMA_ELEMENT__UID` The feature id for the 'Uid' attribute
`static int` | `SCHEMA_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Schema Element' class
`static int` | `SCHEMA_FEATURE_COUNT` The number of structural features of the 'Schema' class
`static int` | `TABLE` The meta object id for the '`Table`' class
`static int` | `TABLE__CHECKS` The feature id for the 'Checks' containment reference list
`static int` | `TABLE__COLUMNS` The feature id for the 'Columns' containment reference list
`static int` | `TABLE__FOREIGN_KEYS` The feature id for the 'Foreign Keys' containment reference list
`static int` | `TABLE__INDICES` The feature id for the 'Indices' containment reference list
`static int` | `TABLE__NAME` The feature id for the 'Name' attribute
`static int` | `TABLE__OWNER` The feature id for the 'Owner' attribute
`static int` | `TABLE__PARENT` The feature id for the 'Parent' reference
`static int` | `TABLE__PRIMARY_KEY` The feature id for the 'Primary Key' containment reference
`static int` | `TABLE__UID` The feature id for the 'Uid' attribute
`static int` | `TABLE__UNIQUE_CONSTRAINTS` The feature id for the 'Unique Constraints' containment reference list
`static int` | `TABLE_COLUMN` The meta object id for the '`Table Column`' class
`static int` | `TABLE_COLUMN__DOMAIN` The feature id for the 'Domain' reference
`static int` | `TABLE_COLUMN__IS_FOREIGN_KEY` The feature id for the 'Is Foreign Key' attribute
`static int` | `TABLE_COLUMN__IS_PRIMARY_KEY` The feature id for the 'Is Primary Key' attribute
`static int` | `TABLE_COLUMN__NAME` The feature id for the 'Name' attribute
`static int` | `TABLE_COLUMN__PARENT` The feature id for the 'Parent' reference
`static int` | `TABLE_COLUMN__TYPE` The feature id for the 'Type' containment reference
`static int` | `TABLE_COLUMN__UID` The feature id for the 'Uid' attribute
`static int` | `TABLE_COLUMN_FEATURE_COUNT` The number of structural features of the 'Table Column' class
`static int` | `TABLE_FEATURE_COUNT` The number of structural features of the 'Table' class

Method Summary
`org.eclipse.emf.ecore.EClass` | `getColumn()` Returns the meta object for class '`Column`'
`org.eclipse.emf.ecore.EReference` | `getElement_Parent()` Returns the meta object for the reference '`Parent`'
`org.eclipse.emf.ecore.EClass` | `getElement()` Returns the meta object for class '`Element`'
`org.eclipse.emf.ecore.EReference` | `getModel_Schemas()` Returns the meta object for the containment reference list '`Schemas`'
`org.eclipse.emf.ecore.EAttribute` | `getModel_Server_id()` Returns the meta object for the attribute '`Server id`'
`org.eclipse.emf.ecore.EClass` | `getModel()` Returns the meta object for class '`Model`'
`org.eclipse.emf.ecore.EClass` | `getNamedColumnSet()` Returns the meta object for class '`Named Column Set`'
`org.eclipse.emf.ecore.EAttribute` | `getNamedElement_Name()` Returns the meta object for the attribute '`Name`'
`org.eclipse.emf.ecore.EAttribute` | `getNamedElement_Uid()` Returns the meta object for the attribute '`Uid`'
`org.eclipse.emf.ecore.EClass` | `getNamedElement()` Returns the meta object for class '`Named Element`'
`RdbmdlFactory` | `getRdbmdlFactory()` Returns the factory that creates the instances of the model
`org.eclipse.emf.ecore.EReference` | `getSchema_Elements()` Returns the meta object for the containment reference list '`Elements`'
`org.eclipse.emf.ecore.EClass` | `getSchema()` Returns the meta object for class '`Schema`'
`org.eclipse.emf.ecore.EAttribute` | `getSchemaElement_Owner()` Returns the meta object for the attribute '`Owner`'
`org.eclipse.emf.ecore.EClass` | `getSchemaElement()` Returns the meta object for class '`Schema Element`'
`org.eclipse.emf.ecore.EReference` | `getTable_Checks()` Returns the meta object for the containment reference list '`Checks`'
`org.eclipse.emf.ecore.EReference` | `getTable_Columns()` Returns the meta object for the containment reference list '`Columns`'
`org.eclipse.emf.ecore.EReference` | `getTable_ForeignKeys()` Returns the meta object for the containment reference list '`Foreign Keys`'
`org.eclipse.emf.ecore.EReference` | `getTable_Indices()` Returns the meta object for the containment reference list '`Indices`'
`org.eclipse.emf.ecore.EReference` | `getTable_PrimaryKey()` Returns the meta object for the containment reference '`Primary Key`'
`org.eclipse.emf.ecore.EReference` | `getTable_UniqueConstraints()` Returns the meta object for the containment reference list '`Unique Constraints`'
`org.eclipse.emf.ecore.EClass` | `getTable()` Returns the meta object for class '`Table`'
`org.eclipse.emf.ecore.EReference` | `getTableColumn_Domain()` Returns the meta object for the reference '`Domain`'
`org.eclipse.emf.ecore.EAttribute` | `getTableColumn_IsForeignKey()` Returns the meta object for the attribute '`Is Foreign Key`'
`org.eclipse.emf.ecore.EAttribute` | `getTableColumn_IsPrimaryKey()` Returns the meta object for the attribute '`Is Primary Key`'
`org.eclipse.emf.ecore.EReference` | `getTableColumn_Type()` Returns the meta object for the containment reference '`Type`'
`org.eclipse.emf.ecore.EClass` | `getTableColumn()` Returns the meta object for class '`Table Column`'

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final java.lang.String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final java.lang.String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final java.lang.String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final RdbmdlPackage eINSTANCE

  The singleton instance of the package.

### ELEMENT

    static final int ELEMENT

  The meta object id for the '`Element`' class.

  See Also:
    `ElementImpl`, `RdbmdlPackageImpl.getElement()`, Constant Field Values

### ELEMENT__PARENT

    static final int ELEMENT__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### ELEMENT_FEATURE_COUNT

    static final int ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Element' class.

  See Also:
    Constant Field Values

### NAMED_ELEMENT

    static final int NAMED_ELEMENT

  The meta object id for the '`Named Element`' class.

  See Also:
    `NamedElementImpl`, `RdbmdlPackageImpl.getNamedElement()`, Constant Field Values

### NAMED_ELEMENT__PARENT

    static final int NAMED_ELEMENT__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### NAMED_ELEMENT__UID

    static final int NAMED_ELEMENT__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### NAMED_ELEMENT__NAME

    static final int NAMED_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NAMED_ELEMENT_FEATURE_COUNT

    static final int NAMED_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Named Element' class.

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT

    static final int SCHEMA_ELEMENT

  The meta object id for the '`Schema Element`' class.

  See Also:
    `SchemaElementImpl`, `RdbmdlPackageImpl.getSchemaElement()`, Constant Field Values

### SCHEMA_ELEMENT__PARENT

    static final int SCHEMA_ELEMENT__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT__UID

    static final int SCHEMA_ELEMENT__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT__NAME

    static final int SCHEMA_ELEMENT__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT__OWNER

    static final int SCHEMA_ELEMENT__OWNER

  The feature id for the 'Owner' attribute.

  See Also:
    Constant Field Values

### SCHEMA_ELEMENT_FEATURE_COUNT

    static final int SCHEMA_ELEMENT_FEATURE_COUNT

  The number of structural features of the 'Schema Element' class.

  See Also:
    Constant Field Values

### NAMED_COLUMN_SET

    static final int NAMED_COLUMN_SET

  The meta object id for the '`Named Column Set`' class.

  See Also:
    `NamedColumnSetImpl`, `RdbmdlPackageImpl.getNamedColumnSet()`, Constant Field Values

### NAMED_COLUMN_SET__PARENT

    static final int NAMED_COLUMN_SET__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### NAMED_COLUMN_SET__UID

    static final int NAMED_COLUMN_SET__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### NAMED_COLUMN_SET__NAME

    static final int NAMED_COLUMN_SET__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### NAMED_COLUMN_SET__OWNER

    static final int NAMED_COLUMN_SET__OWNER

  The feature id for the 'Owner' attribute.

  See Also:
    Constant Field Values

### NAMED_COLUMN_SET_FEATURE_COUNT

    static final int NAMED_COLUMN_SET_FEATURE_COUNT

  The number of structural features of the 'Named Column Set' class.

  See Also:
    Constant Field Values

### MODEL

    static final int MODEL

  The meta object id for the '`Model`' class.

  See Also:
    `ModelImpl`, `RdbmdlPackageImpl.getModel()`, Constant Field Values

### MODEL__PARENT

    static final int MODEL__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### MODEL__UID

    static final int MODEL__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### MODEL__NAME

    static final int MODEL__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### MODEL__SCHEMAS

    static final int MODEL__SCHEMAS

  The feature id for the 'Schemas' containment reference list.

  See Also:
    Constant Field Values

### MODEL__SERVER_ID

    static final int MODEL__SERVER_ID

  The feature id for the 'Server id' attribute.

  See Also:
    Constant Field Values

### MODEL_FEATURE_COUNT

    static final int MODEL_FEATURE_COUNT

  The number of structural features of the 'Model' class.

  See Also:
    Constant Field Values

### SCHEMA

    static final int SCHEMA

  The meta object id for the '`Schema`' class.

  See Also:
    `SchemaImpl`, `RdbmdlPackageImpl.getSchema()`, Constant Field Values

### SCHEMA__PARENT

    static final int SCHEMA__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### SCHEMA__UID

    static final int SCHEMA__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### SCHEMA__NAME

    static final int SCHEMA__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### SCHEMA__ELEMENTS

    static final int SCHEMA__ELEMENTS

  The feature id for the 'Elements' containment reference list.

  See Also:
    Constant Field Values

### SCHEMA_FEATURE_COUNT

    static final int SCHEMA_FEATURE_COUNT

  The number of structural features of the 'Schema' class.

  See Also:
    Constant Field Values

### TABLE

    static final int TABLE

  The meta object id for the '`Table`' class.

  See Also:
    `TableImpl`, `RdbmdlPackageImpl.getTable()`, Constant Field Values

### TABLE__PARENT

    static final int TABLE__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### TABLE__UID

    static final int TABLE__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### TABLE__NAME

    static final int TABLE__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TABLE__OWNER

    static final int TABLE__OWNER

  The feature id for the 'Owner' attribute.

  See Also:
    Constant Field Values

### TABLE__COLUMNS

    static final int TABLE__COLUMNS

  The feature id for the 'Columns' containment reference list.

  See Also:
    Constant Field Values

### TABLE__PRIMARY_KEY

    static final int TABLE__PRIMARY_KEY

  The feature id for the 'Primary Key' containment reference.

  See Also:
    Constant Field Values

### TABLE__UNIQUE_CONSTRAINTS

    static final int TABLE__UNIQUE_CONSTRAINTS

  The feature id for the 'Unique Constraints' containment reference list.

  See Also:
    Constant Field Values

### TABLE__FOREIGN_KEYS

    static final int TABLE__FOREIGN_KEYS

  The feature id for the 'Foreign Keys' containment reference list.

  See Also:
    Constant Field Values

### TABLE__INDICES

    static final int TABLE__INDICES

  The feature id for the 'Indices' containment reference list.

  See Also:
    Constant Field Values

### TABLE__CHECKS

    static final int TABLE__CHECKS

  The feature id for the 'Checks' containment reference list.

  See Also:
    Constant Field Values

### TABLE_FEATURE_COUNT

    static final int TABLE_FEATURE_COUNT

  The number of structural features of the 'Table' class.

  See Also:
    Constant Field Values

### COLUMN

    static final int COLUMN

  The meta object id for the '`Column`' class.

  See Also:
    `ColumnImpl`, `RdbmdlPackageImpl.getColumn()`, Constant Field Values

### COLUMN__PARENT

    static final int COLUMN__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### COLUMN__UID

    static final int COLUMN__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### COLUMN__NAME

    static final int COLUMN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### COLUMN_FEATURE_COUNT

    static final int COLUMN_FEATURE_COUNT

  The number of structural features of the 'Column' class.

  See Also:
    Constant Field Values

### TABLE_COLUMN

    static final int TABLE_COLUMN

  The meta object id for the '`Table Column`' class.

  See Also:
    `TableColumnImpl`, `RdbmdlPackageImpl.getTableColumn()`, Constant Field Values

### TABLE_COLUMN__PARENT

    static final int TABLE_COLUMN__PARENT

  The feature id for the 'Parent' reference.

  See Also:
    Constant Field Values

### TABLE_COLUMN__UID

    static final int TABLE_COLUMN__UID

  The feature id for the 'Uid' attribute.

  See Also:
    Constant Field Values

### TABLE_COLUMN__NAME

    static final int TABLE_COLUMN__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### TABLE_COLUMN__DOMAIN

    static final int TABLE_COLUMN__DOMAIN

  The feature id for the 'Domain' reference.

  See Also:
    Constant Field Values

### TABLE_COLUMN__TYPE

    static final int TABLE_COLUMN__TYPE

  The feature id for the 'Type' containment reference.

  See Also:
    Constant Field Values

### TABLE_COLUMN__IS_PRIMARY_KEY

    static final int TABLE_COLUMN__IS_PRIMARY_KEY

  The feature id for the 'Is Primary Key' attribute.

  See Also:
    Constant Field Values

### TABLE_COLUMN__IS_FOREIGN_KEY

    static final int TABLE_COLUMN__IS_FOREIGN_KEY

  The feature id for the 'Is Foreign Key' attribute.

  See Also:
    Constant Field Values

### TABLE_COLUMN_FEATURE_COUNT

    static final int TABLE_COLUMN_FEATURE_COUNT

  The number of structural features of the 'Table Column' class.

  See Also:
    Constant Field Values

Method Detail

### getElement

    org.eclipse.emf.ecore.EClass getElement()

  Returns the meta object for class '`Element`'.

  Returns:
    the meta object for class 'Element'.
  See Also:
    `Element`

### getElement_Parent

    org.eclipse.emf.ecore.EReference getElement_Parent()

  Returns the meta object for the reference '`Parent`'.

  Returns:
    the meta object for the reference 'Parent'.
  See Also:
    `Element.getParent()`, `getElement()`

### getNamedColumnSet

    org.eclipse.emf.ecore.EClass getNamedColumnSet()

  Returns the meta object for class '`Named Column Set`'.

  Returns:
    the meta object for class 'Named Column Set'.
  See Also:
    `NamedColumnSet`

### getNamedElement

    org.eclipse.emf.ecore.EClass getNamedElement()

  Returns the meta object for class '`Named Element`'.

  Returns:
    the meta object for class 'Named Element'.
  See Also:
    `NamedElement`

### getNamedElement_Uid

    org.eclipse.emf.ecore.EAttribute getNamedElement_Uid()

  Returns the meta object for the attribute '`Uid`'.

  Returns:
    the meta object for the attribute 'Uid'.
  See Also:
    `NamedElement.getUid()`, `getNamedElement()`

### getNamedElement_Name

    org.eclipse.emf.ecore.EAttribute getNamedElement_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `NamedElement.getName()`, `getNamedElement()`

### getModel

    org.eclipse.emf.ecore.EClass getModel()

  Returns the meta object for class '`Model`'.

  Returns:
    the meta object for class 'Model'.
  See Also:
    `Model`

### getModel_Schemas

    org.eclipse.emf.ecore.EReference getModel_Schemas()

  Returns the meta object for the containment reference list '`Schemas`'.

  Returns:
    the meta object for the containment reference list 'Schemas'.
  See Also:
    `Model.getSchemas()`, `getModel()`

### getModel_Server_id

    org.eclipse.emf.ecore.EAttribute getModel_Server_id()

  Returns the meta object for the attribute '`Server id`'.

  Returns:
    the meta object for the attribute 'Server id'.
  See Also:
    `Model.getServer_id()`, `getModel()`

### getSchema

    org.eclipse.emf.ecore.EClass getSchema()

  Returns the meta object for class '`Schema`'.

  Returns:
    the meta object for class 'Schema'.
  See Also:
    `Schema`

### getSchema_Elements

    org.eclipse.emf.ecore.EReference getSchema_Elements()

  Returns the meta object for the containment reference list '`Elements`'.

  Returns:
    the meta object for the containment reference list 'Elements'.
  See Also:
    `Schema.getElements()`, `getSchema()`

### getSchemaElement

    org.eclipse.emf.ecore.EClass getSchemaElement()

  Returns the meta object for class '`Schema Element`'.

  Returns:
    the meta object for class 'Schema Element'.
  See Also:
    `SchemaElement`

### getSchemaElement_Owner

    org.eclipse.emf.ecore.EAttribute getSchemaElement_Owner()

  Returns the meta object for the attribute '`Owner`'.

  Returns:
    the meta object for the attribute 'Owner'.
  See Also:
    `SchemaElement.getOwner()`, `getSchemaElement()`

### getTable

    org.eclipse.emf.ecore.EClass getTable()

  Returns the meta object for class '`Table`'.

  Returns:
    the meta object for class 'Table'.
  See Also:
    `Table`

### getTable_Columns

    org.eclipse.emf.ecore.EReference getTable_Columns()

  Returns the meta object for the containment reference list '`Columns`'.

  Returns:
    the meta object for the containment reference list 'Columns'.
  See Also:
    `Table.getColumns()`, `getTable()`

### getTable_PrimaryKey

    org.eclipse.emf.ecore.EReference getTable_PrimaryKey()

  Returns the meta object for the containment reference '`Primary Key`'.

  Returns:
    the meta object for the containment reference 'Primary Key'.
  See Also:
    `Table.getPrimaryKey()`, `getTable()`

### getTable_UniqueConstraints

    org.eclipse.emf.ecore.EReference getTable_UniqueConstraints()

  Returns the meta object for the containment reference list '`Unique Constraints`'.

  Returns:
    the meta object for the containment reference list 'Unique Constraints'.
  See Also:
    `Table.getUniqueConstraints()`, `getTable()`

### getTable_ForeignKeys

    org.eclipse.emf.ecore.EReference getTable_ForeignKeys()

  Returns the meta object for the containment reference list '`Foreign Keys`'.

  Returns:
    the meta object for the containment reference list 'Foreign Keys'.
  See Also:
    `Table.getForeignKeys()`, `getTable()`

### getTable_Indices

    org.eclipse.emf.ecore.EReference getTable_Indices()

  Returns the meta object for the containment reference list '`Indices`'.

  Returns:
    the meta object for the containment reference list 'Indices'.
  See Also:
    `Table.getIndices()`, `getTable()`

### getTable_Checks

    org.eclipse.emf.ecore.EReference getTable_Checks()

  Returns the meta object for the containment reference list '`Checks`'.

  Returns:
    the meta object for the containment reference list 'Checks'.
  See Also:
    `Table.getChecks()`, `getTable()`

### getColumn

    org.eclipse.emf.ecore.EClass getColumn()

  Returns the meta object for class '`Column`'.

  Returns:
    the meta object for class 'Column'.
  See Also:
    `Column`

### getTableColumn

    org.eclipse.emf.ecore.EClass getTableColumn()

  Returns the meta object for class '`Table Column`'.

  Returns:
    the meta object for class 'Table Column'.
  See Also:
    `TableColumn`

### getTableColumn_Domain

    org.eclipse.emf.ecore.EReference getTableColumn_Domain()

  Returns the meta object for the reference '`Domain`'.

  Returns:
    the meta object for the reference 'Domain'.
  See Also:
    `TableColumn.getDomain()`, `getTableColumn()`

### getTableColumn_Type

    org.eclipse.emf.ecore.EReference getTableColumn_Type()

  Returns the meta object for the containment reference '`Type`'.

  Returns:
    the meta object for the containment reference 'Type'.
  See Also:
    `TableColumn.getType()`, `getTableColumn()`

### getTableColumn_IsPrimaryKey

    org.eclipse.emf.ecore.EAttribute getTableColumn_IsPrimaryKey()

  Returns the meta object for the attribute '`Is Primary Key`'.

  Returns:
    the meta object for the attribute 'Is Primary Key'.
  See Also:
    `TableColumn.getIsPrimaryKey()`, `getTableColumn()`

### getTableColumn_IsForeignKey

    org.eclipse.emf.ecore.EAttribute getTableColumn_IsForeignKey()

  Returns the meta object for the attribute '`Is Foreign Key`'.

  Returns:
    the meta object for the attribute 'Is Foreign Key'.
  See Also:
    `TableColumn.getIsForeignKey()`, `getTableColumn()`

### getRdbmdlFactory

    RdbmdlFactory getRdbmdlFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD